#initclip 0

CentralDebugApplicationClass = function()
{
}

ASBroadcaster.initialize(CentralDebugApplicationClass.prototype);

CentralDebugApplicationClass.prototype.onLoad = function()
{
	this.init()
}

CentralDebugApplicationClass.prototype.init = function()
{
	Object.prototype.toString = this.ObjectToString;
	Array.prototype.toString = this.ArrayToString;

	this.outputScreen._visible = true;

	this.lc = new LocalConnection();
	this.lc.controller = this;
	this.lc.onMessage = this.onMessage;

	//these are no needed
	this.lc.onTrace = this.onMessage;
	this.lc.onError = this.onMessage;

	this.lc.allowDomain = function()
	{
		return true;
	}

	this.lc.connect("_tracer");

	System.security.allowDomain("http://macromedia.com");

	Stage.scaleMode = "noScale";
	Stage.align = "LT";
	Stage.addListener(this);

	this.onResize();

this.outputScreen.trace(new Date());
}

CentralDebugApplicationClass.prototype.setEnabled = function(enabled)
{
	var tab = this.tabs_tbv.getSelectedItem().data;
	tab.setEnabled(enabled);

	this.tabs_tbv.setEnabled(enabled);
}


/************* Event Handlers ******************/

CentralDebugApplicationClass.prototype.onMessage = function(input, filter)
{
	this.controller.outputScreen.trace(input, filter);
}

CentralDebugApplicationClass.prototype.onResize = function(  )
{
	this.outputScreen._x = 0;
	this.outputScreen._y = 0;

	var w = Stage.width;
	var h = Stage.height;

	this.outputScreen.setSize(w, h);
}


/************* Serialize Methods ******************/

CentralDebugApplicationClass.prototype.ObjectToString = function(indent)
{
	var str="Object : " + (typeof this);
	for(var i in this)
	{
		if(!(this[i] instanceof Function))
		{
		str+="\n"+indent+"    "+i+" : "+this[i].toString(indent+"    ");
		}
	}
	return str;
}

CentralDebugApplicationClass.prototype.ArrayToString = function(indent)
{
	var len = this.length;
	var str="Array";

	for(var i = 0; i < len; i++)
	{
		str+="\n"+indent+"    "+ "[" + i + "] : "+this[i].toString(indent+"    ");
	}
	return str;
}


Object.registerClass("CentralDebugApplicationSymbol",CentralDebugApplicationClass);

#endinitclip